package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

public enum ETenantAlbumCategoryType implements BaseEnum<String, ETenantAlbumCategoryType> {

    CATEGORY_TYPE("类型"),
    CATEGORY_LEVEL("级别"),
    ;

    @EnumValue
    private String code;
    private String msg;

    ETenantAlbumCategoryType(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return msg;
    }
}
